From: Bastian Germann <bage@debian.org>
Date: Tue, 4 Mar 2025 19:57:06 +0100
Subject: Use system's singleapplication
---
diff --git a/linphone-app/CMakeLists.txt b/linphone-app/CMakeLists.txt
index d3e0e7b..8b8b4aa 100644
--- a/linphone-app/CMakeLists.txt
+++ b/linphone-app/CMakeLists.txt
@@ -554,10 +554,6 @@ if(APPLE OR WIN32)
 						src/app/single-application/singleapplication_p.h)
 	list(APPEND SOURCES src/app/single-application/singleapplication.cpp
 						src/app/single-application/singleapplication_p.cpp)
-else() # Use QDBus for Linux
-	list(APPEND HEADERS src/app/single-application/singleapplication.h
-						src/app/single-application/SingleApplicationDBusPrivate.hpp)
-	list(APPEND SOURCES src/app/single-application/SingleApplicationDBus.cpp)
 endif()
 set(MAIN_FILE src/app/main.cpp)
 
@@ -822,7 +818,7 @@ endforeach()
 if (APPLE)
 	target_link_libraries(${TARGET_NAME} "-framework Cocoa" "-framework IOKit" "-framework AVFoundation")
 endif()
-target_link_libraries(${TARGET_NAME} ${APP_PLUGIN} linphone++)
+target_link_libraries(${TARGET_NAME} ${APP_PLUGIN} linphone++ SingleApplication)
 
 
 if(WIN32 AND ENABLE_LDAP)
diff --git a/linphone-app/src/app/App.hpp b/linphone-app/src/app/App.hpp
index 0aa851d..4a3fd05 100644
--- a/linphone-app/src/app/App.hpp
+++ b/linphone-app/src/app/App.hpp
@@ -23,7 +23,7 @@
 
 #include <memory>
 
-#include "single-application/singleapplication.h"
+#include <singleapplication/singleapplication.h>
 
 #include <QApplication>
 
